import java.io.*;
import javax.servlet.ServletException;
import javax.servlet.http.*;
import javax.naming.*;
import java.rmi.*;
import javax.rmi.*;
import javax.ejb.*;
import com.sun.appserver.tests.ha.sfsb.sfbtc110.*;

public class StatefulEomServlet extends HttpServlet
{
	@EJB StatefulEom statefulEomRemote;
	public void doPost(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    	{
		String method = request.getParameter("method");
		PrintWriter out = response.getWriter();
		 out.println("Executed From Instance: <b>"+System.getProperty("com.sun.aas.instanceName") +"</b><br>");

		if(method == null)
			out.println("Parameter <b>method</b> required. The supported values are <b>method1</b>, <b>method2</b> or <b>method3</b>.");
		else if(method.equals("method1"))
			callMethod1(out, request.getSession(true));
		else if(method.equals("method2"))
			callMethod2(out, request.getSession(false));
		else if(method.equals("method3"))
			callMethod3(out, request.getSession(true));
		else
			out.println("Parameter <b>method</b> has unsupported value. The supported values are <b>method1</b>, <b>method2</b> or <b>method3</b>.");
	}

public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    	{

		doPost(request, response);

	}

public void callMethod1(PrintWriter out, HttpSession session){
	try {

        	statefulEomRemote.ejbCreate("created StatefulEomBean");

			out.println("obtained remote ref");
			session.setAttribute("statefulEomRemote", statefulEomRemote);

                int result1 = statefulEomRemote.getItems1();
                int result2 = statefulEomRemote.getItems2();
                int result3 = statefulEomRemote.getItems3();

                out.println("<br><br>");
                out.println("result 1 is = " +result1);
                out.println("<br><br>");
                out.println("result 2 is = " +result2);
                out.println("<br><br>");
                out.println("result 3 is = " +result3);
                out.println("<br><br>");


        	statefulEomRemote.setItems1(700);


                result1 = statefulEomRemote.getItems1();
                result2 = statefulEomRemote.getItems2();
                result3 = statefulEomRemote.getItems3();

                out.println("<br><br>");
                out.println("result 1 after calling setItems1 is " +result1);
                out.println("<br><br>");
                out.println("result 2 after calling setItems1 is " +result2);
                out.println("<br><br>");
                out.println("result 3 after calling setItems1 is " +result3);
                out.println("<br><br>");

	}catch(Exception e)
         {
		out.println("Exception in StatefulEomBean"+e.getMessage());
	 }

}

public void callMethod2(PrintWriter out, HttpSession session){
	try {

                statefulEomRemote = (StatefulEom)session.getAttribute("statefulEomRemote");
		if (statefulEomRemote != null)
			out.println("obtained remote ref from session");
		else {
			out.println("SFSB remote reference does not exist in session. This should not be null at this point. Some problem with the run. Please run <b>method1</b>.");
			return;
		}

                int result1 = statefulEomRemote.getItems1();
                int result2 = statefulEomRemote.getItems2();
                int result3 = statefulEomRemote.getItems3();

                out.println("<br><br>");
                out.println("result 1 is = " +result1);
                out.println("<br><br>");
                out.println("result 2 is = " +result2);
                out.println("<br><br>");
                out.println("result 3 is = " +result3);
                out.println("<br><br>");

                statefulEomRemote.setItems1(800, 900);

                result1 = statefulEomRemote.getItems1();
                result2 = statefulEomRemote.getItems2();
                result3 = statefulEomRemote.getItems3();

                out.println("<br><br>");
                out.println("result 1 after calling overloaded setItems1 is " +result1);
                out.println("<br><br>");
                out.println("result 2 after calling overloaded setItems1 is " +result2);
                out.println("<br><br>");
                out.println("result 3 after calling overloaded setItems1 is " +result3);
                out.println("<br><br>");

	}catch(Exception e)
         {
		out.println("Exception in StatefulEomBean"+e.getMessage());
	}
}

public void callMethod3(PrintWriter out, HttpSession session){
	try {
              statefulEomRemote = (StatefulEom)session.getAttribute("statefulEomRemote");
		if (statefulEomRemote != null)
			out.println("obtained remote ref from session");
		else {
			out.println("SFSB remote reference does not exist in session. This should not be null at this point. Some problem with the run. Please run <b>method1</b>.");
			return;
		}

                int result1 = statefulEomRemote.getItems1();
                int result2 = statefulEomRemote.getItems2();
                int result3 = statefulEomRemote.getItems3();

                out.println("<br><br>");
                out.println("result 1 is = " +result1);
                out.println("<br><br>");
                out.println("result 2 is = " +result2);
                out.println("<br><br>");
                out.println("result 3 is = " +result3);
                out.println("<br><br>");

	}catch(Exception e)
         {
		out.println("Exception in StatefulEomBean"+e.getMessage());
	}
}

}
